#include <bits/stdc++.h>

using namespace std;
int N, L;
long long br;
int Niz[1000000005];

int main(){
    cin >> N >> L;
    for(int i = 1; i <= N; i++){
        cin >> Niz[i];
    }
    for(int i = 1; i <= N; i++){
        if(Niz[i] <= L){
            cout << i << endl;
            break;
        }
        else {
            br++;
        }
    }
    if(br == N){
        cout << "-1" << endl;
    }
    return 0;
}